> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/users-and-accounts/azure-key-vault-enrollment.md).

# Azure Key Vault Enrollment

## GET /api/Public/AKVEnrollment/enrollment-status

> Enrollment status

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"AKVEnrollment"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/AKVEnrollment/enrollment-status":{"get":{"tags":["AKVEnrollment"],"responses":{"200":{"description":"OK"}},"summary":"Enrollment status","operationId":"get_AKVEnrollment_enrollment_status"}}}}
```

## POST /api/Public/AKVEnrollment/mark-certificate-skipped

> Mark certificate skipped

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"AKVEnrollment"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/AKVEnrollment/mark-certificate-skipped":{"post":{"tags":["AKVEnrollment"],"responses":{"200":{"description":"OK"}},"summary":"Mark certificate skipped","operationId":"post_AKVEnrollment_mark_certificate_skipped"}}}}
```

## GET /api/Public/AKVEnrollment/certificate-details

> Certificate details

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"AKVEnrollment"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/Public/AKVEnrollment/certificate-details":{"get":{"tags":["AKVEnrollment"],"responses":{"200":{"description":"OK"}},"summary":"Certificate details","operationId":"get_AKVEnrollment_certificate_details"}}}}
```

## POST /api/Public/AKVEnrollment/upload-certificate

> Upload certificate

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"AKVEnrollment"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.EnrollmentCertificateUploadRequest":{"type":"object","properties":{"pfxBase64":{"type":"string","nullable":true},"password":{"type":"string","nullable":true},"certificateName":{"type":"string","nullable":true},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/AKVEnrollment/upload-certificate":{"post":{"tags":["AKVEnrollment"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.EnrollmentCertificateUploadRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Upload certificate","operationId":"post_AKVEnrollment_upload_certificate"}}}}
```
